List serialized stock
GET
/serial-stock
const url = 'https://app.buildtrace.eu/api/serial-stock';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildtrace.eu/api/serial-stock \ --header 'Authorization: Bearer <token>'Required scope: inventory:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”locationId
string format: uuid
q
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
revisionId
required
string format: uuid
partCode
required
string
partName
required
string
revisionLabel
required
string
onHand
required
Serials with status AVAILABLE, RESERVED or QUARANTINED.
integer
available
required
Serials with status AVAILABLE and no open rework order (what a build order can reserve).
integer
needsEcoCount
required
On-hand serials with an ECO targeted but not yet retrofitted.
integer
Example generated
[ { "revisionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "partCode": "example", "partName": "example", "revisionLabel": "example", "onHand": 1, "available": 1, "needsEcoCount": 1 }]Unauthorized